2002-03-01  Michael Ignaszewski

	* RELEASE 1.3.60.0

	* fixed EM8401 TV Encoder race condition problem

2002-02-01  Emmanuel Michon  <emmanuel_michon@realmagic.fr>

	* RELEASE 1.2.58.0

2002-01-11  Emmanuel Michon  <emmanuel_michon@realmagic.fr>

	* RELEASE 1.1.0.0 (first merging CARIBBEAN and ANTILLES)

	* fixed NODOLBY Makefile

2001-12-07  Michael Ignaszewski

	* RELEASE 0.2.051.x

	* VCD 2.0 fix

	* EM847x microcode with bug fixes (PANSCAN, DTS)

2001-11-27  Emmanuel Michon  <emmanuel_michon@realmagic.fr>

	* RELEASE 0.2.050.9

	* RELEASE 0.2.050.8

2001-11-09  Emmanuel Michon  <emmanuel_michon@realmagic.fr>

	* RELEASE 0.2.049.7

2001-11-08  Emmanuel Michon  <emmanuel_michon@realmagic.fr>

	* RELEASE 0.2.049.6

2001-11-05  Michael Ignaszewski

	* RELEASE 0.2.049.4
	
	* To avoid the usual confusion of our customers about the selection of the
	output display device for digital overlay boards we changed for digital
	overlay boards only:
	SET_VGA to SET_TV - when the playback is on TV + eventual digital Vga
	SET_TV to SET_HDTV - when the playback is on 480P connector for old
	VE2000 or when the new EM847X plays Hdtv.

	* Support for EM845x/EM847x chips (see README.advanced). 
	Do not forget to ``insmod anyrealmagic.o quasar_dev_id=0x8450''
	if you have a different design than the Netstream 2000.

	* libEM8400.so has been changed to libEM84xx.so. Update your Makefiles.

2001-09-20  Emmanuel Michon  <emmanuel_michon@realmagic.fr>

	* RELEASE 0.2.048.10

	* RELEASE 0.2.048.9

	* RELEASE 0.2.048.8

	* RELEASE 0.2.048.7

2001-09-18  Emmanuel Michon  <emmanuel_michon@realmagic.fr>

	* new syntax: USE_ROUND_ROBIN default,better,best
	giving the wanted priorities. Example: 
	export USE_ROUND_ROBIN=50,60,70

2001-09-14  Emmanuel Michon  <emmanuel_michon@realmagic.fr>

	* if the application is run by root, and if the environment
	variable USE_ROUND_ROBIN is set to anything, the driver threads
	will use round robin mode (so-called real-time scheduling)
	and have different priorities. The memory will also be mlock'd.

	* MPEGDriverUnload() should work properly

	* modified kernel module to implement poll() method

2001-09-06  Pascal Cannenterre  <pascal_cannenterre@sdesigns.com>

	* RELEASE 0.2.048.6

	* Improved broadcasted video streaming support

	* Improved novaserver 'playfile' loop and fileplayer behaviour
 
2001-09-05  Pascal Cannenterre  <pascal_cannenterre@sdesigns.com>

	* RELEASE 0.2.048.5

	* 1.3x playback support (?)

	* better novaserserver/fileplayer play back loop

2001-07-20  Emmanuel Michon  <emmanuel_michon@realmagic.fr>

	* removed the MINOR_DEV_MASK limit

2001-07-19  Emmanuel Michon  <emmanuel_michon@realmagic.fr>

	* RELEASE 0.2.047.2

	* modified raw setting of serial port for remote control

2001-07-06  Emmanuel Michon  <emmanuel_michon@realmagic.fr>

	* RELEASE 0.2.047.1

	* RELEASE 0.2.047.0

2001-06-22  Emmanuel Michon  <emmanuel_michon@realmagic.fr>

	* RELEASE 0.2.046.1

	* RELEASE 0.2.046.0

	* sanitized release makefiles

2001-06-20  Emmanuel Michon  <emmanuel_michon@realmagic.fr>

	* any version of gcc/g++ should now compile Barbados, ok
	to compile on case-sensitive filesystem

	* removed analogoverlay/RMFILEPLAYER/Makefile.forpackaging (same
	as Makefile)

	* updated analogoverlay/RMFILEPLAYER/Makefile

	* removed analogoverlay/RMMINIPLAYER project

2001-06-19  Emmanuel Michon  <emmanuel_michon@realmagic.fr>

	* README.advanced with correct end of line termination

	* README with correct end of line termination

2001-06-06  Emmanuel Michon  <emmanuel_michon@realmagic.fr>

	* kernel module: max dma buffers is now 40

	* kernel module: max supported quasars is now eight

	* kernel module: parameter quasar_dev_id=0x.... for new chips

2000-11-30  Emmanuel Michon  <michon@bonnie.realmagic.com>

	* RELEASE 0.2.037.0

2000-11-28  Emmanuel Michon  <emmanuel_michon@realmagic.fr>

	* RELEASE 0.2.036.1

	* changed bug in FAQ

2000-10-25  Emmanuel Michon  <emmanuel_michon@sdesigns.com>

	* RELEASE 0.2.035.1

	* adding (dos binary) font generation tools under CelesteApp/Utils

	* RELEASE 0.2.035.0

2000-10-24  Emmanuel Michon  <emmanuel_michon@sdesigns.com>

	* now exposing FMPFlush 

	* adding GPL'd CelesteApp player with On Screen Display (TV only)

	* adding osdlib.so/osdlib.h to the archive

2000-10-20  Emmanuel Michon  <emmanuel_michon@sdesigns.com>

	* RELEASE 0.1.034.4

	* calibration released as source code under GPL. allblackbut.c
	is derived from xlock-2.3 by Patrick J. Naughton, see its header.

	* RedHat Linux 7.0 has kernel 2.2.16 with headers 2.4.0 :-(

2000-10-18  Emmanuel Michon  <emmanuel_michon@sdesigns.com>

	* realmagic8400.o porting to linux-2.4.0-test9 OK!

2000-10-17  Emmanuel Michon  <emmanuel_michon@sdesigns.com>

	* RELEASE 0.1.034.3

	* incompatibilities with static X libraries between 3.3.6 and 4.0.1
	(XF86VidModeGetModeLine from libXxf86vm.a from X 4.0.1 blocks
	on 3.3.6). Release is linked against libXxf86vm.a from X 3.3.6.

	* tested one bogus X server (Mach64 Rage XL or XC rev 101)
	for which XF86VidModeSetViewPort garbles the screen.
	Disabled calls to this functions, to autocalibrate with viewport
	just join the top left corner with the mouse.

	* bugreport script.

	* autocalibrate script.

	* created README.advanced.

	* updated README.

	* scripts changed a lot.

2000-10-16  Emmanuel Michon  <emmanuel_michon@sdesigns.com>

	* new loaddriver script.

	* analog overlay autocalibration should be ok in
	1280x1024, 1024x768 (best), 800x600, 640x480. Blurry
	at 1600x1200.

	* The miniplayer application is released under GNU GPL.

	* The calibration application is released as binary only.

	* The analog overlay graphic user interface was written
	by Nicolas Vignal <nicolas_vignal@sdesigns.com>. 

2000-10-12  Emmanuel Michon  <emmanuel_michon@sdesigns.com>

	* could play two DVDs at the same time in two
	windows on VGA by chaining passthru cables.

	* making the configuration files card-dependent to	
	allow support on multiple NetStream2000.

	* testing the miniplayer windowing application.

	* analog overlay autocalibration ok for 1024x768.

	* small corrections to compile module for 2.4.0-test9 
	are not enough, open() fails. 2.4.x kernels not supported.

2000-10-11  Emmanuel Michon  <emmanuel_michon@sdesigns.com>

	* listening message queue now attaches to appropriate
	$USE_REALMAGIC8400 device to allow multiple calibrations and
	windowing apps.

	* heavy testing of analog overlay autocalibration.

	* most RPC1 DVD drives won't answer properly the
	check RPC packet command 
	(a4 00 00 00 00 00 00 00 00 08 08 00)
	Verified failure on: MATSHITADVD-ROM SR-8583, Sony DDU220E
	RPC2 drives answer properly. A harmless message is logged
	by the kernel.
	
	* tested two NetStream2000 accessing the same drive.
	(dvdpc devices can now be opened twice)

	* tested driver on linux 2.2.17, two NetStream2000,
	two drives (/dev/hdc is IDE MATSHITADVD-ROM SR-8583 and
	/dev/scd0 is Pioneer DVD-ROM DVD-303R). Playback of two
	DVDs perfect; 12% CPU load on PIII 519MHz.
	You need two remote controls also or different applications to
	do so of course.

	* FMPI_STANDARDTV disappears for a more complete 
	FMPI_VIDEOOUT setting.

	* environment variable USE_DRIVE chooses the drive. On
	kernels <= 2.2.15 do *not* use link names such as /dev/cdrom,
	use real device name (/dev/hdb or other). On kernels >= 2.2.16,
	you can use SCSI drives with /dev/scd0 for instance.
	(default is /dev/hdc (secondary master)).

	* environment variable USE_REALMAGIC8400 chooses the decoder
	if there is more than one (up to six boards).
	(default is /dev/realmagic0).

	* environment variable USE_KERNEL_CDROM_SEND_PACKET set
	to something indicates the driver it has to use this
	CDROM_SEND_PACKET ioctl. (default is *not* to use it).

	* added support for kernels with CDROM_SEND_PACKET ioctl
	in cdrom stack (2.2.16, 2.2.17). With these kernels
	SCSI drives are now supported. With these kernels the
	dvdpacketcommand.o module is not needed, obsolete and 
	won't compile anyways.

2000-09-04  Emmanuel Michon  <emmanuel_michon@sdesigns.com>

	* RELEASE 0.1.033.0

	* fixed in remote.c inversion between Vol+ and Vol-

2000-08-30  Emmanuel Michon  <emmanuel_michon@sdesigns.com>

	* RELEASE 0.1.029.0

2000-08-04  Emmanuel Michon  <emmanuel_michon@sdesigns.com>

	* RELEASE 0.1.024.0

	* fixed region code
	
	* (not by me) multi-angle ok

	* completing the analog overlay API

	* when playing vcds, you don't need a dvd drive, cdrom drive is ok

	* when using playfile, you don't need a dvd or cdrom drive 

2000-08-02  Emmanuel Michon  <emmanuel_michon@sdesigns.com>

	* RELEASE 0.1.22.0

2000-07-26  Emmanuel Michon  <emmanuel_michon@sdesigns.com>

	* RELEASE 0.1.19.0

	* giving up the beta-x numbering scheme

	* RELEASE beta-16

2000-07-19  Emmanuel Michon  <emmanuel_michon@sdesigns.com>

	* RELEASE beta-15

2000-06-30  Philippe Barthelemy  <philippe_barthelemy@sdesigns.com>

     	* RELEASE beta-14 (a.k.a 0.1.15.0)

	* SVCD / VCD support added

	* TV/VGA output selection added in remotecontol application


2000-06-30  Emmanuel Michon  <emmanuel_michon@sdesigns.com>

	* MPEGDriverUnload/MPEGDriverEntry handled cleanly

	* eject/close DVDROM drive tray now ok

2000-06-28  Emmanuel Michon  <emmanuel_michon@sdesigns.com>

	* RELEASE beta-13

	* repeated FMPClose/FMPOpen handled cleanly up to hundreds of times

2000-06-27  Emmanuel Michon  <emmanuel_michon@sdesigns.com>
	    Philippe Barthèlemy <philippe_barthelemy@sdesigns.com>	

	* RELEASE beta-12  ( a.k.a 0.1.10.0 )

	* modified DMA buffers handling
		
	* added configuration saving support
		
	* SVCD support ( cdrom must be mounted beforehand )
	

2000-06-26  Emmanuel Michon  <emmanuel_michon@sdesigns.com>

	* added interrupt sharing. Tested with four different
	devices on IRQ 9, seemless

2000-06-09  Emmanuel Michon  <emmanuel_michon@sdesigns.com>

	* RELEASE beta-11-forcedtopal

	* force to PAL tv out for a comparison with Tortuga

	* created message queue interface for calibration

	* ipc keyfile is now /proc

2000-06-08  Emmanuel Michon  <emmanuel_michon@sdesigns.com>

	* RELEASE beta-11

	* doc included pdf, ps.gz and HTML

	* Small changes in kernel modules

2000-06-07  Emmanuel Michon  <emmanuel_michon@sdesigns.com>

	* RELEASE beta-10

	* changes in dvd nav

2000-05-25  Emmanuel Michon  <emmanuel_michon@sdesigns.com>

	* RELEASE beta-9

	* sync with source tree

2000-05-24  Emmanuel Michon  <emmanuel_michon@sdesigns.com>

	* RELEASE beta-8

	* playfile now plays in loop

	* removed sigaction() behaving really bad with threads.
	One more thread sigwait()'s on SIGINT then cancels others.

2000-05-23  Emmanuel Michon  <emmanuel_michon@sdesigns.com>

	* RELEASE beta-7

	* now using sense data report for packet commands

2000-05-22  Emmanuel Michon  <emmanuel_michon@sdesigns.com>

	* RELEASE beta-6

	* changed 120,121 to 122,123 

2000-05-19  Emmanuel Michon  <emmanuel_michon@sdesigns.com>

	* RELEASE beta-5

	* major number 79 (PAM) and 80 (Photometrics) are officially
	reserved in /usr/src/linux/Documentation/devices.txt. Using
	now 120 and 121 (LOCAL/EXPERIMENTAL USE)

	* fixed bug for file playback on lair.mpg and transport streams

2000-05-12  Emmanuel Michon  <emmanuel_michon@sdesigns.com>

	* RELEASE beta-4

	* now compiled against libc-2.1.3 (RH6.2)

2000-05-10  Emmanuel Michon  <emmanuel_michon@sdesigns.com>

	* RELEASE beta-3

	* added SVCD support untested

	* Macrovision protection ok on AD7170

2000-05-09  Emmanuel Michon  <emmanuel_michon@sdesigns.com>

	* RELEASE beta-2

	* only FMP api symbols in libEM8400.so

2000-05-05  Emmanuel Michon  <emmanuel_michon@sdesigns.com>

	* RELEASE beta-1

	* implemented region code handling

	* no more client/server arch, now source code clients link
	directly to Barbados/MPEGSrv/libEM8400.so

2000-04-28  Emmanuel Michon  <emmanuel_michon@sdesigns.com>

	* RELEASE beta-0

	* remoteclient (DVD playback) is really stable and
	can play during three days without visible memory leak. Never
	crashes Linux.

	* playfile ok on MPEG-1, MPEG-2, .vob. transport stream
	and lair.mpg are broken. playfile crashes very easily
	the whole system (kernel Oops or complete freeze)

	* MPEGSrv now compiles with -O2

	* RMPlayFile source code released under GPL

	* RMREMOTE source code released under GPL

	* all FMP functions hooked in

	* os dependent function double checked

	* kernel modules should compile for 2.2.x, 2.3.99

	* cleaned handling of signal

2000-04-11  Emmanuel Michon  <emmanuel_michon@sdesigns.com>

	* RELEASE alpha-5

	* arrays of threads, message queues, semaphores with limits

	* cleaned os dependent code

	* modified thread library calls so that ^C is handled properly

2000-04-10  Emmanuel Michon  <emmanuel_michon@sdesigns.com>

	* RELEASE alpha-4

	* fast forward and rewind ok

	* RELEASE alpha-3

	* got correct compil and execution of Barbados latest source code

2000-03-02  Emmanuel Michon  <emmanuel_michon@sdesigns.com>

	* RELEASE alpha-2

	* more information in README

	* modified copyrights in kernelmode/

2000-03-01  Emmanuel Michon  <emmanuel_michon@sdesigns.com>

	* RELEASE alpha-1 much better than alpha-0
